Subject: Re: [bug#29569] Guile-wm +Guile-xcb patches (updates, urls,etc)

From: Catonano <[email-masked]>
Date: Thu, 21 Dec 2017 22:34:30 +0100

2017-12-07 17:34 GMT+01:00 Kei Kebreau <[email-masked]>:

> ng0 <[email-masked]> writes:
>
> > So,
> >
> > I've updated to the latest commits in the hope that it would
> > fix the problem I have where guile-wm keeps crashing.
> >
> > It's my first couple of hours with guile-wm and I don't know
> > the code yet, so I'll look into it why none of the recent commits
> > fixed it (while the messages said they should).
> >
> > The state of it is as before. I doubt Guile-wm is stable as it
> > is in our master.
> > There are some changes. Like upstream made building with
> > Guile 2.2 an option, the original home page is gone, development
> > happens on github, etc.
> > I've made the change to use 2.2 a commit on its own.
> > I'll contribute a fix to upstream as soon as I can which will
> > address the fact that their build system picks 2.2 even when 2.0
> > is given. This should not happen.
> >
> > Nice project, with some more work it could replace scrotwm for me.
> >
> > Rntime crashes (like we have them now) would be good to get
> > automated tests for these, simulating garbage keystrokes etc.
> > Long store short, here are 5 patches and I'll contact the
> > upstream developer soon.
>
> LGTM! Pushed to master.
>

ehm, this bug could be closed, then ?

I'd do it myself but I can't remember how to send control messages